| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::ProcessLauncher Class Reference
Inheritance diagram for Digikam::ProcessLauncher:

## Signals
void | signalComplete (bool success, int exitCode)

## Public Member Functions
| ProcessLauncher (QObject *const parent=nullptr)
qint64 | elapsedTime () const
| Return the elapsed time in ms to run the process.
int | exitCode () const
| Return the exit code from the process.
QString | output () const
| Return the process output as string.
void | setArguments (const QStringList &args)
void | setConsoleTraces (bool b)
| If turned on, all traces from the process are printed on the console.
void | setProgram (const QString &prog)
void | setTimeOut (int msecs)
void | setWorkingDirectory (const QString &dir)
void | startProcess ()
| Start the process.
bool | success () const
| Return true if the process is started and completed without error.